diff --git a/src/USER-PHONON/Install.sh b/src/USER-PHONON/Install.sh
index cfa369bb055ee2679b873535221244839cce9094..3428415443f5bc59c8486dd1e6327a50265c34e4 100644
--- a/src/USER-PHONON/Install.sh
+++ b/src/USER-PHONON/Install.sh
@@ -26,6 +26,16 @@ action () {
   fi
 }
 
+# USER-PHONON uses the parallel FFT wrapper used in PPPM,
+# so we must require the KSPACE package to be installed.
+
+if (test $1 = 1) then
+  if (test ! -e ../fft3d_wrap.h) then
+    echo "Must install KSPACE package with USER-PHONON"
+    exit 1
+  fi
+fi
+
 # list of files with optional dependcies
 
 action fix_phonon.cpp fft3d_wrap.h